Subject: I thought I had sent this to namedroppers.

From: [email-masked]
Date: Thu, 25 Feb 1999 12:22:42 +1100

To: Olafur Gudmundsson <[email-masked]>
cc: [email-masked]
From: [email-masked]
Subject: Re: WG last call - TSIG 
In-reply-to: Your message of "Thu, 31 Dec 1998 16:39:41 CDT."
             <3.0.5.32.19981231163941.009102e0@localhost> 
Date: Fri, 01 Jan 1999 12:00:53 +1100
Sender: [email-masked]

> Robert,
> I think TSIG passed the last call period. 
> I think the comments can be summarized as follows
> 
> Stewart Kwan wondered why Original Message ID was not part of signature
> calculation.
> Brian Wellington explained why (it would be a duplication). 
> Mark Andrews voiced support for including the OMID in the calculation
> or better explanation why it is not. 
> Suggestion: add Original Message ID to signature calculation 
> 
> Brian wondered if a new error code should defined for the case if 
> Message ID (in DNS header) and Original Message ID (in TSIG record) on a
> non forwardable message differ ? 
> No comments
> Suggestion: Define new TSIG error code MSGIDERR. 
	
	I would argue that ALL messages are forwardable in the right
	environment.  In fact I've needed to build and use such an
	envirionment in the past.

	It was a very light weight forward only helper application running
	on the local box that tracked which of several local resolvers was
	up and forwarded to one of the subset that was up.  It, like any
	other DNS forwarder, need its own id space and just mapped between
	its id space and that of its client's.

	We don't care if the id is changed as it is outside of the signature
	and as such SHOULD NOT be an error.
	We never know when we will need to do something like this in the
	future and if it is coded into the protocol it will be impossible
	to remove.

	Mark
> 
> Did I miss anything ? 
> 
> Can I edit the draft to reflect these changes and ask for advancement ? 
> 
> 	Olafur 
> 
> ----------------------------------------------------
> Olafur Gudmundsson 	    		[email-masked]   (work)
> 443-259-2389 (NEW PHONE NUMBER)	[email-masked]   (private)
> 
- --
Mark Andrews, Internet Software Consortium
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]